<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
  <style>
    #b {
      width: 800px;
      border: 1px solid #111;
      padding: 0px;
      margin: 0px;
      overflow-x: hidden;
      overflow-y: hidden;
    }

    .img_holder {
      padding: 0px;
      margin: 0px;
      height: 300px;
      width: 910px;
    }

    img {
      height: 200px;
      width: 200px;
      padding: 5px;
      background: #123;
      display: inline-block;
    }
  </style>
</head>

<body>
  <div id="b">
    <div class="img_holder">
      <img />
      <img />
      <img />
      <img />
      <img />
      <img />
      <img />
      <img />
    </div>
  </div>

  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.3/jquery.min.js"></script>
  <script>
    var scroller = {};
    scroller.e = document.getElementById("b");

    if (scroller.e.addEventListener) {
      scroller.e.addEventListener("mousewheel", MouseWheelHandler, false);
      scroller.e.addEventListener("DOMMouseScroll", MouseWheelHandler, false);
    } else scroller.e.attachEvent("onmousewheel", MouseWheelHandler);

    function MouseWheelHandler(e) {

      // cross-browser wheel delta
      var e = window.event || e;
      var delta = - 20 * (Math.max(-1, Math.min(1, (e.wheelDelta || -e.detail))));

      var pst = $('#b').scrollLeft() + delta;

      if (pst < 0) {
        pst = 0;
      } else if (pst > $('.img_holder').width()) {
        pst = $('.img_holder').width();
      }

      $('#b').scrollLeft(pst);

      return false;
    }
  </script>
</body>

</html>